[osg-users] vrml plugin problems

Ben Axelrod baxelrod at coroware.com
Wed Sep 17 13:24:33 PDT 2008


I am trying to load a VRML file, but I get the error message:

Warning: Could not find plugin to read objects from file "foo.wrl".

I tried this in OSG code, as well as with osgconv and osgviewer.  I have the OSG lib and osgPlugins directories in my LD_LIBRARY_PATH.

I compiled OSG 2.6.0 from src on Debian Etch.  I am using OpenVRML version 0.14.3.  Do I need a newer version of OpenVRML?  (I set the path to the OpenVRML includes as well as libopenvrml.so during the CMake configuration).

I had VRML files working with OSG 2.4 a long time ago.  Back then I also set up the Inventor library during the install.  But I forgot what that library does, why it's needed, and even where to get it.  Do I need it here too?

Thanks,
-Ben
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openscenegraph.org/pipermail/osg-users-openscenegraph.org/attachments/20080917/2b593b5d/attachment-0002.htm>


More information about the osg-users mailing list